Creates a knowledge base and its backing inline asset.
Creates the editable corpus and provisions the inline backing asset that agents attach to. The knowledge base is attachable immediately, but it becomes searchable only after documents are added and the knowledge base is published.
Authorization
Bearer JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.
In: header
Path Parameters
The tenant identifier
Knowledge base name, optional description, locale, and embedding configuration.
Publish automatically whenever a document changes. Defaults to off.
Embedding model + chunking (and inline API key, unless Fruxon.Model.KnowledgeBases.CreateKnowledgeBaseRequest.EmbeddingLLMConfigId is set) for the backing inline asset. Mirrors ordinary asset creation.
Optional tenant LLM config supplying the embedding API key instead of an inline key.
uuidResponse Body
curl -X POST "https://api.fruxon.com/v1/tenants/string/knowledgeBases" \ -H "Content-Type: application/json" \ -d '{ "embedding": { "provider": "string", "model": "string" } }'{
"id": "00000000-0000-0000-0000-000000000000",
"displayName": "string",
"description": "string",
"locale": "string",
"autoPublish": false,
"backingAssetId": "string",
"status": "ACTIVE",
"lastPublishedAt": 0,
"publishState": "NONE",
"lastPublishError": "string",
"lastPublishErrorCategory": "CREDENTIALS",
"createdAt": 0,
"modifiedAt": 0
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}